Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(36)

Issue 10873090: Consume user gestures when navigating in a new tab/window. This ensures that a site can not create … (Closed)

Created:
6 years, 11 months ago by Cris Neckar
Modified:
6 years, 11 months ago
CC:
chromium-reviews, joi+watch-content_chromium.org, darin-cc_chromium.org, jam
Visibility:
Public.

Description

Consume user gestures when navigating in a new tab/window. This ensures that a site can not create large numbers of popups or new tabs piggybacking on a single user gesture. BUG=144704 TEST=N/A Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=153731

Patch Set 1 : #

Total comments: 2

Patch Set 2 : #

Patch Set 3 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1 line, -0 lines) Patch
M content/renderer/render_view_impl.cc View 1 2 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 20 (0 generated)
Cris Neckar
6 years, 11 months ago (2012-08-27 19:06:36 UTC) #1
Charlie Reis
Hmm, I'm not familiar with the process/consume user gesture logic, so I don't know whether ...
6 years, 11 months ago (2012-08-27 19:18:55 UTC) #2
Cris Neckar
On 2012/08/27 19:18:55, creis wrote: > Hmm, I'm not familiar with the process/consume user gesture ...
6 years, 11 months ago (2012-08-27 19:23:52 UTC) #3
abarth-chromium
http://codereview.chromium.org/10873090/diff/6001/content/renderer/render_view_impl.cc File content/renderer/render_view_impl.cc (right): http://codereview.chromium.org/10873090/diff/6001/content/renderer/render_view_impl.cc#newcode1631 content/renderer/render_view_impl.cc:1631: frame->consumeUserGesture(); Can we just call this unconditionally? http://codereview.chromium.org/10873090/diff/6001/content/renderer/render_view_impl.cc#newcode1726 content/renderer/render_view_impl.cc:1726: ...
6 years, 11 months ago (2012-08-27 19:46:05 UTC) #4
Cris Neckar
> http://codereview.chromium.org/10873090/diff/6001/content/renderer/render_view_impl.cc#newcode1631 > content/renderer/render_view_impl.cc:1631: frame->consumeUserGesture(); > Can we just call this unconditionally? Yeah seems like ...
6 years, 11 months ago (2012-08-27 19:54:31 UTC) #5
abarth-chromium
That would be useful information to include in a comment. :) Maybe that means we ...
6 years, 11 months ago (2012-08-27 20:02:03 UTC) #6
Cris Neckar
On 2012/08/27 20:02:03, abarth wrote: > That would be useful information to include in a ...
6 years, 11 months ago (2012-08-27 20:11:26 UTC) #7
abarth-chromium
Where do we call isProcessingUserGesture?
6 years, 11 months ago (2012-08-27 20:13:05 UTC) #8
Cris Neckar
On 2012/08/27 20:13:05, abarth wrote: > Where do we call isProcessingUserGesture? We set params.user_gesture for ...
6 years, 11 months ago (2012-08-27 20:16:42 UTC) #9
abarth-chromium
> We set params.user_gesture for the message at line 1705. This is then checked > ...
6 years, 11 months ago (2012-08-27 20:24:34 UTC) #10
Cris Neckar
On 2012/08/27 20:24:34, abarth wrote: > > We set params.user_gesture for the message at line ...
6 years, 11 months ago (2012-08-27 20:34:22 UTC) #11
Charlie Reis
On 2012/08/27 20:11:26, Cris Neckar wrote: > On 2012/08/27 20:02:03, abarth wrote: > > That ...
6 years, 11 months ago (2012-08-27 20:37:34 UTC) #12
abarth-chromium
The old process is probably sufficient since the new process shouldn't be processing a user ...
6 years, 11 months ago (2012-08-27 20:38:20 UTC) #13
Cris Neckar
On 2012/08/27 20:38:20, abarth wrote: > The old process is probably sufficient since the new ...
6 years, 11 months ago (2012-08-27 20:46:33 UTC) #14
Cris Neckar
Does this look reasonable now?
6 years, 11 months ago (2012-08-28 00:10:54 UTC) #15
abarth-chromium
LGTM. I would be nice to have a test. Note: I'm not a reviewer.
6 years, 11 months ago (2012-08-28 00:18:45 UTC) #16
Cris Neckar
On 2012/08/28 00:18:45, abarth wrote: > LGTM. I would be nice to have a test. ...
6 years, 11 months ago (2012-08-28 00:29:19 UTC) #17
Charlie Reis
On 2012/08/28 00:29:19, Cris Neckar wrote: > On 2012/08/28 00:18:45, abarth wrote: > > LGTM. ...
6 years, 11 months ago (2012-08-28 01:21:42 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/cdn@chromium.org/10873090/6003
6 years, 11 months ago (2012-08-28 18:24:17 UTC) #19
commit-bot: I haz the power
6 years, 11 months ago (2012-08-28 21:12:51 UTC) #20
Change committed as 153731

Powered by Google App Engine
This is Rietveld 408576698